Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.internal.util
Class HibernateUtil

    java.lang.Object
      org.hibernate.cache.ehcache.internal.util.HibernateUtil

    public final class HibernateUtil

extends Object

Method Summary
`static net.sf.ehcache.config.Configuration` | `loadAndCorrectConfiguration(URL url)` Create a cache manager configuration from the supplied url, correcting it for Hibernate compatibility.
`static void` | `validateEhcache(net.sf.ehcache.Ehcache cache)` Validates that the supplied Ehcache instance is valid for use as a Hibernate cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadAndCorrectConfiguration

    public static net.sf.ehcache.config.Configuration loadAndCorrectConfiguration(URL url)

  Create a cache manager configuration from the supplied url, correcting it for Hibernate compatibility.

  Currently correcting for Hibernate compatibility means simply switching any identity based value modes to serialization.

### validateEhcache

    public static void validateEhcache(net.sf.ehcache.Ehcache cache)
                                throws CacheException

  Validates that the supplied Ehcache instance is valid for use as a Hibernate cache.

  Throws:
    `CacheException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.